# Uses of Class
org.apache.lucene.util.quantization.ScalarQuantizer

Packages that use ScalarQuantizer
Package
Description
org.apache.lucene.codecs.hnsw
HNSW vector helper classes.
org.apache.lucene.codecs.lucene99
Lucene 9.9 file format.
org.apache.lucene.util.quantization
Provides quantization methods for scaling vector values to smaller data types and possibly fewer dimensions

## Uses of ScalarQuantizer in org.apache.lucene.codecs.hnsw

Methods in org.apache.lucene.codecs.hnsw with parameters of type ScalarQuantizer
Modifier and Type
Method
Description
`static float`
ScalarQuantizedVectorScorer.`quantizeQuery(float[] query, byte[] quantizedQuery, VectorSimilarityFunction similarityFunction, ScalarQuantizer scalarQuantizer)`
Constructors in org.apache.lucene.codecs.hnsw with parameters of type ScalarQuantizer
Modifier
Constructor
Description
``
`ScalarQuantizedRandomVectorScorerSupplier(VectorSimilarityFunction similarityFunction, ScalarQuantizer scalarQuantizer, QuantizedByteVectorValues values)`

## Uses of ScalarQuantizer in org.apache.lucene.codecs.lucene99

Fields in org.apache.lucene.codecs.lucene99 declared as ScalarQuantizer
Modifier and Type
Field
Description
`protected final ScalarQuantizer`
OffHeapQuantizedByteVectorValues.`scalarQuantizer`
Methods in org.apache.lucene.codecs.lucene99 that return ScalarQuantizer
Modifier and Type
Method
Description
`ScalarQuantizer`
Lucene99HnswVectorsReader.`getQuantizationState(String field)`
`ScalarQuantizer`
Lucene99ScalarQuantizedVectorsReader.`getQuantizationState(String fieldName)`
`ScalarQuantizer`
OffHeapQuantizedByteVectorValues.`getScalarQuantizer()`
`static ScalarQuantizer`
Lucene99ScalarQuantizedVectorsWriter.`mergeAndRecalculateQuantiles(MergeState mergeState, FieldInfo fieldInfo, Float confidenceInterval, byte bits)`
Merges the quantiles of the segments and recalculates the quantiles if necessary.
Methods in org.apache.lucene.codecs.lucene99 with parameters of type ScalarQuantizer
Modifier and Type
Method
Description
`static OffHeapQuantizedByteVectorValues`
OffHeapQuantizedByteVectorValues.`load(OrdToDocDISIReaderConfiguration configuration, int dimension, int size, ScalarQuantizer scalarQuantizer, VectorSimilarityFunction similarityFunction, FlatVectorsScorer vectorsScorer, boolean compress, long quantizedVectorDataOffset, long quantizedVectorDataLength, IndexInput vectorData)`
Constructors in org.apache.lucene.codecs.lucene99 with parameters of type ScalarQuantizer
Modifier
Constructor
Description
``
`DenseOffHeapVectorValues(int dimension, int size, ScalarQuantizer scalarQuantizer, boolean compress, VectorSimilarityFunction similarityFunction, FlatVectorsScorer vectorsScorer, IndexInput slice)`

## Uses of ScalarQuantizer in org.apache.lucene.util.quantization

Methods in org.apache.lucene.util.quantization that return ScalarQuantizer
Modifier and Type
Method
Description
`static ScalarQuantizer`
ScalarQuantizer.`fromVectors(FloatVectorValues floatVectorValues, float confidenceInterval, int totalVectorCount, byte bits)`
This will read the float vector values and calculate the quantiles.
`static ScalarQuantizer`
ScalarQuantizer.`fromVectorsAutoInterval(FloatVectorValues floatVectorValues, VectorSimilarityFunction function, int totalVectorCount, byte bits)`
`ScalarQuantizer`
QuantizedVectorsReader.`getQuantizationState(String fieldName)`
`ScalarQuantizer`
QuantizedByteVectorValues.`getScalarQuantizer()`
Methods in org.apache.lucene.util.quantization with parameters of type ScalarQuantizer
Modifier and Type
Method
Description
`float`
ScalarQuantizer.`recalculateCorrectiveOffset(byte[] quantizedVector, ScalarQuantizer oldQuantizer, VectorSimilarityFunction similarityFunction)`
Recalculate the old score corrective value given new current quantiles